Uploaded image for project: 'Nuxeo Drive '
  1. Nuxeo Drive
  2. NXDRIVE-2714

Can't start on macOS when the OS locale is english

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 4.4.5
    • Fix Version/s: 5.2.3
    • Component/s: Packaging / Build
    • Environment:
      macOS
    • Release Notes Summary:
      Crash on Invalid Locale
    • Release Notes Description:
      Hide

      The previous version, 5.2.2, started to crash on the latest macOS upgrade (11.4) because of an unknown OS locale passed to the application. We quickly fixed it and the error is now ignored when it happens.

      Show
      The previous version, 5.2.2, started to crash on the latest macOS upgrade (11.4) because of an unknown OS locale passed to the application. We quickly fixed it and the error is now ignored when it happens.
    • Tags:
    • Sprint:
      nxplatform #39
    • Story Points:
      2

      Description

      With versions 5.2.2.4 and 5.2.2 and 5.2.3.20 I can't start Nuxeo Drive, I get the following error:

      Traceback (most recent call last):
        File "nxdrive/__main__.py", line 44, in main
        File "locale.py", line 610, in setlocale
      locale.Error: unsupported locale setting
      
      

      OS: MacOS Big Sure 11.4

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 4 hours
                  4h

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.